Bug 901555 - CVE-2013-0198 dnsmasq: Incomplete fix for the CVE-2012-3411 issue [fedora-all]
CVE-2013-0198 dnsmasq: Incomplete fix for the CVE-2012-3411 issue [fedora-all]
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnsmasq (Show other bugs)
17
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Hozza
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2013-0198
  Show dependency treegraph
 
Reported: 2013-01-18 08:51 EST by Jan Lieskovsky
Modified: 2013-02-18 02:18 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-18 02:18:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Correct behaviour for TCP queries to allowed address via banned interface. (6.27 KB, patch)
2013-01-22 11:36 EST, Tomas Hozza
no flags Details | Diff

  None (edit)
Description Jan Lieskovsky 2013-01-18 08:51:43 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]
Comment 1 Jan Lieskovsky 2013-01-18 08:51:50 EST
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=894486,901555
Comment 2 Tomas Hozza 2013-01-18 09:59:23 EST
There is a proposed patch from upstream (see attachment in Bug #894486). Need to do some testing if it works and doesn't break anything!
Comment 3 Tomas Hozza 2013-01-22 11:36:46 EST
Created attachment 685285 [details]
Correct behaviour for TCP queries to allowed address via banned interface.

Patch for dnsmasq-2.65 stable
Comment 4 Fedora Update System 2013-01-22 12:24:59 EST
dnsmasq-2.65-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/dnsmasq-2.65-2.fc17
Comment 5 Fedora Update System 2013-01-22 12:25:02 EST
dnsmasq-2.65-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/dnsmasq-2.65-2.fc18
Comment 6 Fedora Update System 2013-02-11 23:58:38 EST
dnsmasq-2.65-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-02-18 02:05:26 EST
dnsmasq-2.65-4.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Tomas Hozza 2013-02-18 02:18:20 EST
Since dnsmasq update including fix for this issue has been pushed to stable for all current stable Fedora branches (17 and 18) I'm closing this tracker Bug.

Note You need to log in before you can comment on or make changes to this bug.